## masakari-monitors 13.0.0

=== debian/changelog ===
masakari-monitors (13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:10:35 -0400

masakari-monitors (12.0.0+git2022030313.a89511e-0ubuntu2) jammy; urgency=medium

  * d/py3dist-overrides: Add python-consul as it is a Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2022 10:44:57 -0500

masakari-monitors (12.0.0+git2022030313.a89511e-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:39:45 -0500

masakari-monitors (12.0.0+git2022011308.45adf21-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 08:29:20 -0500

masakari-monitors (12.0.0+git2021120910.5198a3c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:55:31 -0500

=== debian/control ===
Source: masakari-monitors
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-automaton (>= 1.9.0),
 python3-consul,
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 1.1.0),
 python3-libvirt (>= 6.0.0),
 python3-lxml (>= 4.5.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.13.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
Homepage: https://github.com/openstack/masakari-monitors
Testsuite: autopkgtest-pkg-python

Package: masakari-host-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Host Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Host Monitor.

Package: masakari-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Instance Monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Introspective Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Introspective Instance Monitor.

Package: masakari-process-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Process Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Process Monitor.

Package: python3-masakari-monitors
Architecture: all
Depends:
 masakari-monitors-common (= ${source:Version}),
 python3-automaton (>= 1.9.0),
 python3-libvirt (>= 6.0.0),
 python3-lxml (>= 4.5.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.13.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-consul,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python 3 module.

Package: masakari-monitors-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors common files.

Package: masakari-monitors-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=masakari-monitors

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-masakari-monitors/usr/etc
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakarimonitors/masakarimonitors-config-generator.conf
	cp etc/masakarimonitors/masakarimonitors.conf.sample etc/masakarimonitors/masakarimonitors.conf
	cp etc/masakarimonitors/process_list.yaml.sample etc/masakarimonitors/process_list.yaml
	crudini --set etc/masakarimonitors/masakarimonitors.conf api auth_url http://localhost:5000/v3
	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

=== debian/tests/control ===
Tests: masakari-monitors-daemons
Depends: masakari-host-monitor, masakari-instance-monitor,
 masakari-introspective-instance-monitor, masakari-process-monitor,
 libvirt-daemon-system
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(13\.\d.*)\.tar\.gz

## masakari-monitors 13.1.0

=== debian/changelog ===
masakari-monitors (13.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:32:30 +0000

masakari-monitors (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 17:53:31 +0200

masakari-monitors (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 11:19:17 +0200

masakari-monitors (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-consul as (build-)depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 09:27:09 +0100

=== debian/control ===
Source: masakari-monitors
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-automaton,
 python3-consul,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-keystoneauth1,
 python3-libvirt,
 python3-lxml,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycodestyle,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari-monitors
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari-monitors.git
Homepage: https://opendev.org/openstack/masakari-monitors

Package: masakari-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - instance monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari instance monitor.

Package: masakari-host-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari host monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack VirtualMachine High Availability (VMHA) - introspective host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari introspective instance monitor.

Package: masakari-monitors-common
Architecture: all
Depends:
 adduser,
 pacemaker-cli-utils,
 python3-masakari-monitors (= ${binary:Version}),
 tcpdump,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - monitors common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari monitors.

Package: masakari-monitors-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the monitors documentation.

Package: masakari-process-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack VM High Availability (VMHA) - process monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari process monitor.

Package: python3-masakari-monitors
Architecture: all
Section: python
Depends:
 python3-automaton,
 python3-consul,
 python3-keystoneauth1,
 python3-libvirt,
 python3-lxml,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python files and libraries for Masakari monitors.

## masakari-monitors 14.0.0

=== debian/changelog ===
masakari-monitors (14.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:20:45 +0200

masakari-monitors (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:42:49 +0200

masakari-monitors (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:07:26 +0200

masakari-monitors (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switched to python3-stestr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,8 @@
  python3-pycodestyle,
  python3-testscenarios,
  python3-testtools,
+ python3-stestr,
  subunit,
- testrepository,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari-monitors
 Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari-monitors.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf masakari.sqlite
	rm -f debian/masakari-monitors-common.postinst debian/masakari-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-monitors-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm masakari-monitors-common.postrm

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'masakarimonitors\.tests\.unit.*'
endif

	# Generate the masakari.conf config
	mkdir -p $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common/masakarimonitors.conf \
		--wrap-width 140 \
		--namespace masakarimonitors.conf \
		--namespace oslo.log \
		--namespace oslo.middleware

	mkdir -p $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors
	cp $(CURDIR)/etc/masakarimonitors/process_list.yaml.sample $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors/process_list.yaml

#	mkdir -p $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors
#	cp $(CURDIR)/etc/masakarimonitors/processmonitor.conf.sample $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors/processmonitor.conf

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/masakari-monitors-doc/usr/share/doc/masakari-monitors-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## masakari-monitors 15.0.0

=== debian/changelog ===
masakari-monitors (15.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 15:39:17 +0000

masakari-monitors (15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:51:03 -0400

masakari-monitors (15.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 18:05:37 -0500

masakari-monitors (14.0.0+git2023011010.cf646dfc-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:03:17 -0500

masakari-monitors (14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:19:24 -0400

masakari-monitors (13.0.0+git2022091213.afcf34d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:15:20 -0400

masakari-monitors (13.0.0+git2022071414.b42b5e5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/masakari-monitors-common.postinst: CIS hardening update to switch adduser to
    use /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:15:55 -0400

masakari-monitors (13.0.0+git2022060213.b42b5e5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:46:37 -0400

## masakari-monitors 15.0.0+git2023071214.4aa998d4

=== debian/changelog ===
masakari-monitors (15.0.0+git2023071214.4aa998d4-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/t/masakari-monitors-daemons: Use timeout loop and systemctl is-active
    to test status.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:35:08 -0400

## masakari-monitors 16.0.0

=== debian/changelog ===
masakari-monitors (16.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 13:21:46 +0000

masakari-monitors (16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:04:44 -0400

## masakari-monitors 17.0.1

=== debian/changelog ===
masakari-monitors (17.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:48:08 +0100

masakari-monitors (17.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 14:54:18 +0000

masakari-monitors (16.0.0+git2024011916.58cbb346-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:05:59 +0000

=== debian/control ===
Source: masakari-monitors
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-automaton (>= 1.9.0),
 python3-consul,
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 1.1.0),
 python3-libvirt (>= 6.0.0),
 python3-lxml (>= 4.5.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.13.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari-monitors
Homepage: https://github.com/openstack/masakari-monitors
Testsuite: autopkgtest-pkg-python

Package: masakari-host-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Host Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Host Monitor.

Package: masakari-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Instance Monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Introspective Instance Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Introspective Instance Monitor.

Package: masakari-process-monitor
Architecture: all
Section: python
Depends:
 python3-masakari-monitors (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Process Monitor
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Process Monitor.

Package: python3-masakari-monitors
Architecture: all
Depends:
 masakari-monitors-common (= ${source:Version}),
 python3-automaton (>= 1.9.0),
 python3-libvirt (>= 6.0.0),
 python3-lxml (>= 4.5.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.13.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-consul,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python 3 module.

Package: masakari-monitors-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors common files.

Package: masakari-monitors-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Monitors for Masakari provides Virtual Machine High Availability (VMHA) service
 for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host failure.
 If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari Monitors documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari-monitors-(\d.*)\.tar\.gz

## masakari-monitors 18.0.0

=== debian/changelog ===
masakari-monitors (18.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 15:13:56 +0000

masakari-monitors (18.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090436).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:11:42 +0100

masakari-monitors (18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:19:25 +0200

masakari-monitors (18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:20:54 +0200

masakari-monitors (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:34:35 +0200

masakari-monitors (17.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:49:27 +0200

masakari-monitors (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 18:24:03 +0100

masakari-monitors (16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:36:03 +0200

masakari-monitors (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:20:32 +0200

masakari-monitors (15.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045791).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 17:31:47 +0200

masakari-monitors (15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 17:56:03 +0200

masakari-monitors (15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:24:16 +0100

masakari-monitors (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 10:53:53 +0100

## masakari-monitors 18.0.0+git2025030311.1f62741

=== debian/changelog ===
masakari-monitors (18.0.0+git2025030311.1f62741-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:38:03 +0000

masakari-monitors (18.0.0+git2025011511.21a78c6-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 15:57:21 +0000

masakari-monitors (18.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:27:52 +0100

masakari-monitors (18.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 16:24:08 +0100

masakari-monitors (17.0.1+git2024081411.65eb41d0-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:46:38 +0100

## masakari-monitors 19.0.0~rc1

=== debian/changelog ===
masakari-monitors (19.0.0~rc1-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 14:47:52 +0000

masakari-monitors (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:35:31 +0100

masakari-monitors (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream relaese.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:54:38 +0100

## masakari-monitors 19.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

automaton>=1.9.0  # Apache-2.0
keystoneauth1>=3.4.0  # Apache-2.0
openstacksdk>=0.13.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
lxml>=4.5.0  # BSD
oslo.cache>=1.26.0  # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-consul >=1.1.0 # MIT

# Due to the nature of libvirt-python package, in DevStack we use the one
# provided in the distro alongside libvirtd - to ensure the two are compatible,
# and also to avoid the pip error when it tries to uninstall the distro version
# (installed in such a way for Nova in DevStack).
# Do note libvirt-python is used only for instance-oriented monitors, so, e.g.,
# it is not used by any host monitor.
#
# Note for package maintainers: just use the libvirt-python package version
# as seen in the Nova dependencies.

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
masakari-monitors (19.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 21:57:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  crudini,
  python3-automaton (>= 1.9.0),
  python3-consul,
- python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-hacking (>= 1.1.0),
  python3-libvirt (>= 6.0.0),
@@ -35,7 +34,6 @@
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -124,7 +122,6 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari_monitors-(19\.\d.*)\.tar\.gz

## masakari-monitors 19.0.0+git2025070714.66e71d5

=== debian/changelog ===
masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu2) questing; urgency=medium

  * d/control: Drop python-kubernetes from requirements.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 30 Jul 2025 09:12:40 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 14:46:08 -0700

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-libvirt (>= 6.0.0),
  python3-lxml (>= 4.5.0),
  python3-keystoneauth1 (>= 3.4.0),
+ python3-kubernetes (>= 22.6.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.13.0),
  python3-os-testr (>= 1.0.0),

## masakari-monitors 20.0.0~rc1

=== debian/changelog ===
masakari-monitors (20.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 08:24:17 +0000

masakari-monitors (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:19:33 +0200

masakari-monitors (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-kubernetes as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:39:54 +0200

masakari-monitors (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:45:25 +0200
